function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","2");
var B=A.fN("Changes from the Previous Release of This Guide","3");
B=A.fN("Related Documentation","4");
var C=B.fN("TIBCO Hawk Documentation","4#45817");
C=B.fN("Other TIBCO Product Documentation","4#45861");
B=A.fN("Typographical Conventions","5");
B=A.fN("TIBCO Product Documentation and Support Services","6");
C=B.fN("How to Access TIBCO Documentation","6#45956");
C=B.fN("How to Contact TIBCO Support","6#45964");
C=B.fN("How to Join TIBCO Community","6#45973");
A=P.fN("Chapter\u00a01 Overview of TIBCO Hawk Microagents and Methods","7");
B=A.fN("About Microagents","8");
C=B.fN("Microagent Types","8#1671222");
C=B.fN("Method Returns","8#1671232");
C=B.fN("Additional Information","8#1671236");
A=P.fN("Chapter\u00a02 Common Methods","9");
B=A.fN("getReleaseVersion","10");
B=A.fN("getTraceLevel","11");
B=A.fN("setTraceLevel","12");
B=A.fN("getTraceParameters","13");
B=A.fN("setTraceParameters","14");
B=A.fN("_onUnsolicitedMsg","15");
A=P.fN("Chapter\u00a03 Platform-Independent Microagents and Methods","16");
B=A.fN("Summary of Platform-Independent Microagents","17");
B=A.fN("COM.TIBCO.hawk.microagent.Self","18");
C=B.fN("Self:getMicroAgentInfo","19");
C=B.fN("Self:getAgentTimeZone","20");
C=B.fN("Self:getSecurityInfo","21");
C=B.fN("Self:getComponentInfo","22");
C=B.fN("Self:turnDiagnosticsOn","23");
C=B.fN("Self:turnDiagnosticsOff","24");
C=B.fN("Self:getUptime","25");
C=B.fN("Self:doAMIDiscovery","26");
C=B.fN("Self:onMicroAgentEvent","27");
B=A.fN("COM.TIBCO.hawk.microagent.SysInfo","28");
C=B.fN("SysInfo:getOperatingSystem","29");
C=B.fN("SysInfo:getArchitecture","30");
C=B.fN("SysInfo:getHostName","31");
C=B.fN("SysInfo:getNetworkAddress","32");
B=A.fN("COM.TIBCO.hawk.microagent.HawkEventService","33");
C=B.fN("HawkEventService:onAgentAlive","34");
C=B.fN("HawkEventService:onAgentExpired","35");
C=B.fN("HawkEventService:onAlert","36");
C=B.fN("HawkEventService:onClear","37");
C=B.fN("HawkEventService:onMicroAgentChange","38");
C=B.fN("HawkEventService:onRulebaseChange","39");
B=A.fN("COM.TIBCO.hawk.microagent.RuleBaseEngine","40");
C=B.fN("RuleBaseEngine:deleteRuleBase","41");
C=B.fN("RuleBaseEngine:getExternalVariables","42");
C=B.fN("RuleBaseEngine:getRuleBaseNames","43");
C=B.fN("RuleBaseEngine:getScheduleNames","44");
C=B.fN("RuleBaseEngine:loadRuleBase","45");
C=B.fN("RuleBaseEngine:loadRuleBaseFromFile","46");
C=B.fN("RuleBaseEngine:unloadRuleBase","47");
C=B.fN("RuleBaseEngine:getConfigInfo","48");
C=B.fN("RuleBaseEngine:sendMail","49");
C=B.fN("RuleBaseEngine:onAlertCount","50");
C=B.fN("RuleBaseEngine:onAlertCountForRulebase","51");
C=B.fN("RuleBaseEngine:suspendAlert","52");
C=B.fN("RuleBaseEngine:suspendAllAlerts","53");
C=B.fN("RuleBaseEngine:resumeSuspendedAlerts","54");
C=B.fN("RuleBaseEngine:updateExternalVariables","55");
B=A.fN("COM.TIBCO.hawk.microagent.Messaging","56");
C=B.fN("Messaging:sendMessage","57");
C=B.fN("Messaging:onMessage","58");
C=B.fN("Messaging:onTimeout","59");
C=B.fN("Messaging:onNumber","60");
B=A.fN("COM.TIBCO.hawk.microagent.Repository","61");
C=B.fN("Repository:getName","62");
C=B.fN("Repository:getScheduleNames","63");
C=B.fN("Repository:getRuleBaseName","64");
C=B.fN("Repository:onRepositoryEvent","65");
B=A.fN("COM.TIBCO.hawk.microagent.Logfile","66");
C=B.fN("Logfile:onNewLine","67");
C=B.fN("Logfile:onXMLElement","68");
C=B.fN("Logfile:onNewLinewithPatternFile","69");
C=B.fN("Logfile:reEvaluateLogFileNames","70");
B=A.fN("COM.TIBCO.hawk.microagent.Custom","71");
C=B.fN("Custom:executeForString","72");
C=B.fN("Custom:executeForNumber","73");
C=B.fN("Custom:execute","74");
B=A.fN("COM.TIBCO.hawk.hma.FileStat","75");
C=B.fN("FileStat:getFileStatus","76");
C=B.fN("FileStat:getFileCount","77");
B=A.fN("COM.TIBCO.hawk.hma.TibRendezvous","78");
C=B.fN("TibRendezvous:onRvDaemonStatus","79");
C=B.fN("TibRendezvous:onRvDataLoss","80");
C=B.fN("TibRendezvous:onRvdDisconnectOrConnect","81");
C=B.fN("TibRendezvous:onRvLicenseExpire","82");
C=B.fN("TibRendezvous:onRvdRetransmissionSuppressed","83");
B=A.fN("COM.TIBCO.hawk.microagent.tcpdaemon.TcpClusterStatus","84");
C=B.fN("TcpClusterStatus:getDaemonStatus","85");
C=B.fN("TcpClusterStatus:getClusterStatus","86");
C=B.fN("TcpClusterStatus:getMemberCount","87");
C=B.fN("TcpClusterStatus:onMemberEvent","88");
B=A.fN("COM.TIBCO.hawk.microagent.TCPMessaging","89");
C=B.fN("TcpMessaging:sendMessage","90");
C=B.fN("TcpMessaging:onMessage","91");
C=B.fN("TcpMessaging:onNumber","92");
C=B.fN("TcpMessaging:onTimeout","93");
A=P.fN("Chapter\u00a04 Microsoft Windows Microagents and Methods","94");
B=A.fN("Summary of Microsoft Windows Microagents","95");
B=A.fN("COM.TIBCO.hawk.hma.Performance","96");
C=B.fN("Performance:System","97");
C=B.fN("Performance:Processor","98");
C=B.fN("Performance:Memory","99");
C=B.fN("Performance:Cache","100");
C=B.fN("Performance:PhysicalDisk","101");
C=B.fN("Performance:LogicalDisk","102");
C=B.fN("Performance:Process","103");
C=B.fN("Performance:ProcessCount","104");
C=B.fN("Performance:Thread","105");
C=B.fN("Performance:Objects","106");
C=B.fN("Performance:Redirector","107");
C=B.fN("Performance:Server","108");
C=B.fN("Performance:Server Work Queues","109");
C=B.fN("Performance:Paging File","110");
C=B.fN("Performance:Browser","111");
C=B.fN("Performance:Telephony","112");
C=B.fN("Performance:NBT Connection","113");
C=B.fN("Performance:Network Interface","114");
C=B.fN("Performance:IP","115");
C=B.fN("Performance:ICMP","116");
C=B.fN("Performance:TCP","117");
C=B.fN("Performance:UDP","118");
C=B.fN("Performance:restart","119");
B=A.fN("COM.TIBCO.hawk.hma.Eventlog","120");
C=B.fN("Eventlog:getRecentApplicationEvents","121");
C=B.fN("Eventlog:getRecentSystemEvents","122");
C=B.fN("Eventlog:getRecentSecurityEvents","123");
C=B.fN("Eventlog:onApplicationEvent","124");
C=B.fN("Eventlog:onSecurityEvent","125");
C=B.fN("Eventlog:onSystemEvent","126");
C=B.fN("Eventlog:logEvent","127");
B=A.fN("COM.TIBCO.hawk.hma.Registry","128");
C=B.fN("Registry:setDWORD","129");
C=B.fN("Registry:setString","130");
C=B.fN("Registry:getDWORD","131");
C=B.fN("Registry:getString","132");
C=B.fN("Registry:getMultiString","133");
C=B.fN("Registry:setExpandString","134");
C=B.fN("Registry:enumerateKey","135");
C=B.fN("Registry:CreateKey","136");
C=B.fN("Registry:setQWORD","137");
C=B.fN("Registry:getQWORD","138");
B=A.fN("COM.TIBCO.hawk.hma.Services","139");
C=B.fN("Services:getServiceConfiguration","140");
C=B.fN("Services:getServiceStatus","141");
C=B.fN("Services:setServiceStartType","142");
C=B.fN("Services:startService","143");
C=B.fN("Services:stopService","144");
C=B.fN("Services:pauseService","145");
C=B.fN("Services:continueService","146");
C=B.fN("Services:controlService","147");
B=A.fN("COM.TIBCO.hawk.hma.Process","148");
C=B.fN("Process:getInstanceCount","149");
C=B.fN("Process:getInstanceCountByCommand","150");
C=B.fN("Process:getProcess","151");
B=A.fN("COM.TIBCO.hawk.hma.Network","152");
C=B.fN("Network:getConfig","153");
B=A.fN("COM.TIBCO.hawk.hma.System","154");
C=B.fN("System:getSystemInfo","155");
C=B.fN("System:getCpuInfo","156");
A=P.fN("Chapter\u00a05 Solaris-SPARC Microagents and Methods","157");
B=A.fN("Summary of Solaris-SPARC Microagents","158");
B=A.fN("COM.TIBCO.hawk.hma.System","159");
C=B.fN("System:getSystemInfo","160");
C=B.fN("System:getCpuInfo","161");
C=B.fN("System:getSwapInfo","162");
C=B.fN("System:getTunableInfo","163");
B=A.fN("COM.TIBCO.hawk.hma.Process","164");
C=B.fN("Process:getProcess","165");
C=B.fN("Process:getInstanceCount","166");
C=B.fN("Process:getInstanceCountByCommand","167");
B=A.fN("COM.TIBCO.hawk.hma.FileSystem","168");
C=B.fN("FileSystem:getByPartition","169");
C=B.fN("FileSystem:getByMountPoint","170");
C=B.fN("FileSystem:getByFileSystem","171");
B=A.fN("COM.TIBCO.hawk.hma.Network","172");
C=B.fN("Network:getStatistics","173");
C=B.fN("Network:getConfig","174");
A=P.fN("Chapter\u00a06 Solaris-10 Microagents and Methods","175");
B=A.fN("Summary of Solaris-10 Microagents","176");
B=A.fN("COM.TIBCO.hawk.hma.System","177");
C=B.fN("System:getSystemInfo","178");
C=B.fN("System:getCpuInfo","179");
C=B.fN("System:getSwapInfo","180");
C=B.fN("System:getTunableInfo","181");
B=A.fN("COM.TIBCO.hawk.hma.Process","182");
C=B.fN("Process:getProcess","183");
C=B.fN("Process:getInstanceCount","184");
C=B.fN("Process:getInstanceCountByCommand","185");
B=A.fN("COM.TIBCO.hawk.hma.FileSystem","186");
C=B.fN("FileSystem:getByPartition","187");
C=B.fN("FileSystem:getByMountPoint","188");
C=B.fN("FileSystem:getByFileSystem","189");
B=A.fN("COM.TIBCO.hawk.hma.Network","190");
C=B.fN("Network:getStatistics","191");
C=B.fN("Network:getConfig","192");
A=P.fN("Chapter\u00a07 HP-UX Microagents and Methods","193");
B=A.fN("Summary of HP-UX Microagents","194");
B=A.fN("COM.TIBCO.hawk.hma.System","195");
C=B.fN("System:getSystemInfo","196");
C=B.fN("System:getCpuInfo","197");
C=B.fN("System:getSwapInfo","198");
C=B.fN("System:getTunableInfo","199");
B=A.fN("COM.TIBCO.hawk.hma.Process","200");
C=B.fN("Process:getProcess","201");
C=B.fN("Process:getInstanceCount","202");
C=B.fN("Process:getInstanceCountByCommand","203");
B=A.fN("COM.TIBCO.hawk.hma.FileSystem","204");
C=B.fN("FileSystem:getByPartition","205");
C=B.fN("FileSystem:getByMountPoint","206");
C=B.fN("FileSystem:getByFileSystem","207");
B=A.fN("COM.TIBCO.hawk.hma.Network","208");
C=B.fN("Network:getConfig","209");
C=B.fN("Network:getStatistics","210");
A=P.fN("Chapter\u00a08 AIX Microagents and Methods","211");
B=A.fN("Summary of AIX Microagents","212");
B=A.fN("COM.TIBCO.hawk.hma.System","213");
C=B.fN("System:getCpuInfo","214");
C=B.fN("System:getSwapInfo","215");
C=B.fN("System:getSystemInfo","216");
B=A.fN("COM.TIBCO.hawk.hma.Process","217");
C=B.fN("Process:getProcess","218");
C=B.fN("Process:getInstanceCount","219");
C=B.fN("Process:getInstanceCountByCommand","220");
B=A.fN("COM.TIBCO.hawk.hma.FileSystem","221");
C=B.fN("FileSystem:getByPartition","222");
C=B.fN("FileSystem:getByMountPoint","223");
C=B.fN("FileSystem:getByFileSystem","224");
B=A.fN("COM.TIBCO.hawk.hma.Network","225");
C=B.fN("Network:getStatistics","226");
C=B.fN("Network:getConfig","227");
A=P.fN("Chapter\u00a09 Linux Microagents and Methods","228");
B=A.fN("Summary of Linux Microagents","229");
B=A.fN("COM.TIBCO.hawk.hma.System","230");
C=B.fN("System:getSwapInfo","231");
C=B.fN("System:getSystemInfo","232");
C=B.fN("System:getCpuInfo","233");
C=B.fN("System:getTunableInfo","234");
B=A.fN("COM.TIBCO.hawk.hma.Process","235");
C=B.fN("Process:getProcess","236");
C=B.fN("Process:getInstanceCount","237");
C=B.fN("Process:getInstanceCountByCommand","238");
B=A.fN("COM.TIBCO.hawk.hma.FileSystem","239");
C=B.fN("FileSystem:getByPartition","240");
C=B.fN("FileSystem:getByMountPoint","241");
C=B.fN("FileSystem:getByFileSystem","242");
B=A.fN("COM.TIBCO.hawk.hma.Network","243");
C=B.fN("Network:getStatistics","244");
C=B.fN("Network:getConfig","245");
A=P.fN("Chapter\u00a010 Mac OS X Methods","246");
B=A.fN("Summary of Mac OS X Microagents","247");
B=A.fN("COM.TIBCO.hawk.hma.System","248");
C=B.fN("System:getSystemInfo","249");
C=B.fN("System:getCpuInfo","250");
C=B.fN("System:getProcessorSetInfo","251");
C=B.fN("System:getSwapInfo","252");
C=B.fN("System:getTunableInfo","253");
B=A.fN("COM.TIBCO.hawk.hma.Process","254");
C=B.fN("Process:getProcess","255");
C=B.fN("Process:getInstanceCount","256");
C=B.fN("Process:getInstanceCountByCommand","257");
B=A.fN("COM.TIBCO.hawk.hma.FileSystem","258");
C=B.fN("FileSystem:getByPartition","259");
C=B.fN("FileSystem:getByMountPoint","260");
C=B.fN("FileSystem:getByFileSystem","261");
B=A.fN("COM.TIBCO.hawk.hma.Network","262");
C=B.fN("Network:getStatistics","263");
C=B.fN("Network:getConfig","264");
}
