function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","2");
var B=A.fN("Changes from the Previous Release of this Guide","3");
B=A.fN("Related Documentation","4");
var C=B.fN("TIBCO Hawk Documentation","4#45452");
C=B.fN("Other TIBCO Product Documentation","4#45496");
B=A.fN("Typographical Conventions","5");
B=A.fN("TIBCO Product Documentation and Support Services","6");
C=B.fN("How to Access TIBCO Documentation","6#45591");
C=B.fN("How to Contact TIBCO Support","6#45599");
C=B.fN("How to Join TIBCO Community","6#45608");
A=P.fN("Chapter\u00a01 Introduction to TIBCO Hawk Programming","7");
B=A.fN("Programming Tools and Interfaces","8");
C=B.fN("REST API","8#1805932");
C=B.fN("Console API","8#1801472");
C=B.fN("Configuration Object API","8#1801155");
C=B.fN("AMI API","8#1801381");
C=B.fN("Security API","8#1801163");
A=P.fN("Chapter\u00a02 Console API","9");
B=A.fN("How the TIBCO Hawk Console API Fits In","10");
B=A.fN("Concepts","11");
B=A.fN("Structure","12");
C=B.fN("Monitoring Operations","12#1800976");
C=B.fN("The AgentInstance Class","12#1671449");
C=B.fN("Ensuring Each Agent Instance has a Unique ID","12#1671470");
C=B.fN("Management Operations","12#1671536");
C=B.fN("Microagent Descriptors","12#1671544");
C=B.fN("Invoking Methods","12#1671554");
C=B.fN("Subscribing to Method Results","12#1671568");
C=B.fN("Group Operations","12#1671586");
C=B.fN("Lightweight Console","12#1801594");
C=B.fN("Console Application with Secure Domain","12#1795309");
C=B.fN("MicroAgent Plug-in","12#1680888");
B=A.fN("TIBCO Hawk Console API Class Structure","13");
C=B.fN("Key to the UML Diagrams","13#1671611");
C=B.fN("Agent Monitoring Classes (Hawkeye)","13#1671625");
C=B.fN("Agent Monitoring Classes (Cont)","13#1671630");
C=B.fN("Agent Management Classes","13#1671636");
C=B.fN("Agent Management Classes (Cont)","13#1671641");
B=A.fN("API Reference","14");
A=P.fN("Chapter\u00a03 Configuration Object API","15");
B=A.fN("Overview","16");
C=B.fN("Configuration Objects","16#1691952");
C=B.fN("How the TIBCO Hawk Configuration Object API Fits In","16#1691962");
B=A.fN("Concepts","17");
C=B.fN("Configuration Objects","17#1697108");
C=B.fN("Rulebases","17#1697114");
C=B.fN("Schedule","17#1697228");
C=B.fN("RulebaseMap","17#1697262");
C=B.fN("Configuration Object Integrity","17#1697298");
C=B.fN("Dependence on the Console API","17#1697301");
B=A.fN("Configuration Object API Class Structure","18");
C=B.fN("Key to the UML diagrams","18#1697626");
C=B.fN("Configuration Object API Classes","18#1697640");
B=A.fN("API Reference","19");
A=P.fN("Chapter\u00a04 AMI API","20");
B=A.fN("AMI Basics","21");
C=B.fN("An Instrumented Application Looks like a Microagent","21#1800606");
C=B.fN("Monitoring an Instrumented Application through the TIBCO Hawk WebConsole","21#1800687");
C=B.fN("Connecting AMI Participants","21#1800701");
B=A.fN("The AMI Conversation","22");
C=B.fN("First AMI Phase: Discovering the Application","22#1800812");
C=B.fN("Second AMI Phase: Describing the Methods","22#1800850");
C=B.fN("Third AMI Phase: Calling the Methods","22#1800868");
B=A.fN("AMI API Objects","23");
C=B.fN("AMI Session","23#1801196");
C=B.fN("AMI Methods","23#1801199");
C=B.fN("AMI Parameter","23#1801203");
C=B.fN("Error Logging","23#1801206");
C=B.fN("Threading Model","23#1803403");
B=A.fN("AMI API Sample Programs","24");
C=B.fN("The Sample AMI API Applications","24#1802264");
B=A.fN("Programmer\u2019s Checklist","25");
C=B.fN("C++ Library Files","25#1801387");
C=B.fN("C Library Files","25#1801452");
C=B.fN("Transport Based Library Files","25#1801515");
B=A.fN("Java AMI API Reference","26");
A=P.fN("Chapter\u00a05 C++ AMI API Reference","27");
B=A.fN("AmiSession Class","28");
C=B.fN("AmiSession()","29");
C=B.fN("AmiSession()","30");
C=B.fN("AmiSession::open()","31");
C=B.fN("AmiSession::close()","32");
C=B.fN("AmiSession::versionName()","33");
C=B.fN("AmiSession::version()","34");
C=B.fN("AmiSession::versionDate()","35");
C=B.fN("AmiSession::banner()","36");
C=B.fN("AmiSession::versionMajor()","37");
C=B.fN("AmiSession::versionMinor()","38");
C=B.fN("AmiSession::getTraceLevels()","39");
C=B.fN("AmiSession::setTraceLevels()","40");
C=B.fN("AmiSession::enableTraceLevels()","41");
C=B.fN("AmiSession::disableTraceLevels()","42");
C=B.fN("AmiSession::announce()","43");
C=B.fN("AmiSession::get... Accessors","44");
C=B.fN("AmiSession::sendUnsolicitedMsg()","45");
C=B.fN("AmiSession::stop()","46");
B=A.fN("AMI Property Class","47");
C=B.fN("AmiProperty Class","47#1701453");
C=B.fN("AmiProperty()","48");
C=B.fN("AmiProperty::()","49");
B=A.fN("AMI Method Classes","50");
C=B.fN("AmiMethod Class","50#1671996");
C=B.fN("AmiMethod::setIndexName()","51");
C=B.fN("AmiMethod::get...() Accessors","52");
C=B.fN("AmiMethod::onInvoke()","53");
C=B.fN("AmiAsyncMethod Class","53#1672179");
C=B.fN("AmiAsyncMethod()","54");
C=B.fN("AmiAsyncMethod::onStart()","55");
C=B.fN("AmiAsyncMethod::onStop()","56");
C=B.fN("AmiAsyncMethod::onData()","57");
C=B.fN("AmiAsyncMethod::sendData()","58");
C=B.fN("AmiAsyncMethod::sendError()","59");
C=B.fN("AmiSyncMethod Class","59#1672432");
C=B.fN("AmiSyncMethod()","60");
C=B.fN("AmiSubscription Class","60#1672507");
C=B.fN("AmiSubscription::getUserData()","61");
C=B.fN("AmiSubscription::setCallbackInterval()","62");
C=B.fN("AmiSubscription::setUserData()","63");
C=B.fN("AmiSubscription::getMethod()","64");
C=B.fN("AmiSubscription::getArguments()","65");
B=A.fN("AMI Parameter Classes","66");
C=B.fN("AmiParameter Class","66#1672671");
C=B.fN("AmiParameter::addChoice()","67");
C=B.fN("AmiParameter::addLegal()","68");
C=B.fN("AmiParameter::getStatus()","69");
C=B.fN("AmiParameterIn Class","69#1672783");
C=B.fN("AmiParameterIn()","70");
C=B.fN("AmiParameterOut Class","70#1672856");
C=B.fN("AmiParameterOut()","71");
C=B.fN("AmiParameterList Class","71#1672938");
C=B.fN("AmiParameterListIn Class","71#1672947");
C=B.fN("AmiParameterListIn::getValue()","72");
C=B.fN("AmiParameterListOut Class","72#1672995");
C=B.fN("AmiParameterListOut()","73");
C=B.fN("AmiParameterListOut::newRow()","74");
C=B.fN("AmiParameterListOut::setValue()","75");
B=A.fN("AMI Error Handling","76");
C=B.fN("AmiStatus Class","76#1741496");
C=B.fN("AmiStatus()","77");
C=B.fN("AmiStatus::getAmiError()","78");
C=B.fN("AmiStatus::setStatus()","79");
C=B.fN("AmiStatus::setStatusV()","80");
C=B.fN("AmiStatus::stamp()","81");
C=B.fN("AmiStatus::getCode()","82");
C=B.fN("AmiStatus::getText()","83");
C=B.fN("AmiStatus::getThread()","84");
C=B.fN("AmiStatus::getFile()","85");
C=B.fN("AmiStatus::getLine()","86");
A=P.fN("Chapter\u00a06 C AMI API Reference","87");
B=A.fN("Data Types Summary","88");
C=B.fN("ami_AlertType","89");
C=B.fN("ami_Boolean","90");
C=B.fN("AMI C API Constants","91");
C=B.fN("ami_DataType","92");
C=B.fN("ami_Error","93");
C=B.fN("ami_Method","94");
C=B.fN("ami_MethodType","95");
C=B.fN("ami_Parameter","96");
C=B.fN("ami_ParameterList","97");
C=B.fN("ami_ParameterListList","98");
C=B.fN("ami_Session","99");
C=B.fN("ami_Subscription","100");
C=B.fN("ami_Property","101");
B=A.fN("AMI C API Error Functions","102");
C=B.fN("Error Functions Summary","102#1671982");
C=B.fN("ami_ErrorCreate(), ami_errorCreateV()","103");
C=B.fN("ami_ErrorDestroy()","104");
C=B.fN("ami_ErrorStamp()","105");
C=B.fN("ami_ErrorGet... Accessors","106");
C=B.fN("Callback Function Types Summary","106#1672179");
C=B.fN("ami_OnInvokeCallback","107");
C=B.fN("ami_OnStartCallback","108");
C=B.fN("ami_OnStopCallback","109");
C=B.fN("ami_TraceHandler","110");
C=B.fN("Trace Control Functions Summary","110#1672399");
C=B.fN("ami_TraceCode","111");
C=B.fN("ami_SessionGetTraceLevels()","112");
C=B.fN("ami_SessionSetTraceLevels()","113");
C=B.fN("ami_SessionEnableTraceLevels()","114");
C=B.fN("ami_SessionDisableTraceLevels()","115");
C=B.fN("Initialization and Termination Functions Summary","115#1672625");
C=B.fN("ami_Version... Accessors","116");
C=B.fN("ami_Open()","117");
C=B.fN("ami_Close()","118");
B=A.fN("AMI C API Session Functions","119");
C=B.fN("Session Functions Summary","119#1683439");
C=B.fN("ami_SessionCreateUsingProperties()","120");
C=B.fN("ami_AddProperty()","121");
C=B.fN("ami_SessionCreate()","122");
C=B.fN("ami_SessionDestroy()","123");
C=B.fN("ami_SessionAnnounce()","124");
C=B.fN("ami_SessionStop()","125");
C=B.fN("ami_SessionGetName()","126");
C=B.fN("ami_SessionGetDisplayName()","127");
C=B.fN("ami_SessionGetHelp()","128");
C=B.fN("ami_SessionGetUserData()","129");
C=B.fN("ami_SessionSendData()","130");
C=B.fN("ami_SessionSendError()","131");
C=B.fN("ami_SessionOnData()","132");
C=B.fN("ami_SessionSendUnsolicitedMsg()","133");
B=A.fN("AMI C API Method Functions","134");
C=B.fN("Method Functions Summary","134#1673273");
C=B.fN("ami_MethodCreate()","135");
C=B.fN("ami_AsyncMethodCreate()","136");
C=B.fN("ami_MethodGetName()","137");
C=B.fN("ami_MethodGetHelp()","138");
C=B.fN("ami_MethodGetUserData()","139");
C=B.fN("ami_MethodSetIndex()","140");
B=A.fN("AMI C API Subscription Functions","141");
C=B.fN("Subscription Functions Summary","141#1673651");
C=B.fN("ami_SubscriptionSetUserData()","142");
C=B.fN("ami_SubscriptionGetUserData()","143");
C=B.fN("ami_SubscriptionSetCallbackInterval()","144");
C=B.fN("ami_SubscriptionGetMethod()","145");
C=B.fN("ami_SubscriptionGetArguments()","146");
B=A.fN("AMI C API Parameter Functions","147");
C=B.fN("Parameter Functions Summary","147#1673841");
C=B.fN("ami_ParameterCreateIn()","148");
C=B.fN("ami_ParameterCreateOut()","149");
C=B.fN("ami_ParameterListOut()","150");
C=B.fN("ami_ParameterSetValue()","151");
C=B.fN("ami_ParameterGetValue()","152");
C=B.fN("ami_ParameterAddChoice()","153");
C=B.fN("ami_ParameterAddLegal()","154");
C=B.fN("ami_ParameterListListDestroy()","155");
A=P.fN("Chapter\u00a07 Security Framework","156");
B=A.fN("TIBCO Hawk Security Concepts","157");
C=B.fN("Authentication","157#1800604");
C=B.fN("Certificates","157#1800620");
C=B.fN("Authorization","158");
C=B.fN("Data Privacy and Integrity","158#1800628");
C=B.fN("Considerations for the TIBCO Hawk System","158#1800632");
B=A.fN("Implementing a Security Policy","159");
C=B.fN("Creating a Java Security Class","159#1800640");
C=B.fN("Framework Protocol","159#1800645");
C=B.fN("Security Objects","159#1803914");
B=A.fN("Sample Code","160");
A=P.fN("Appendix\u00a0A Common Configuration Object API Methods","161");
B=A.fN("Microagent and Method Invocation used in ConsequenceAction","162");
B=A.fN("Interaction with Agent and Repository using the Console API","163");
B=A.fN("Methods Reference","164");
B=A.fN("RuleBaseEngine:sendAlertMessage","165");
B=A.fN("RuleBaseEngine:execute","166");
B=A.fN("RuleBaseEngine:sendMail","167");
B=A.fN("RuleBaseEngine:addRuleBase","168");
B=A.fN("RuleBaseEngine:deleteRuleBase","169");
B=A.fN("RuleBaseEngine:setSchedules","170");
B=A.fN("RuleBaseEngine:getSchedules","171");
B=A.fN("RuleBaseEngine:getRBMap","172");
B=A.fN("Repository:addRuleBase","173");
B=A.fN("Repository:deleteRuleBase","174");
B=A.fN("Repository:setSchedules","175");
B=A.fN("Repository:getSchedules","176");
B=A.fN("Repository:setRBMap","177");
B=A.fN("Repository:getRBMap","178");
A=P.fN("Appendix\u00a0B Sample Programs","179");
B=A.fN("Rulebase Samples","180");
C=B.fN("RBIsample1.java","180#1704275");
C=B.fN("RBIsample2.java","180#1704278");
C=B.fN("RBIsample3.java","180#1704281");
B=A.fN("Schedule Samples","181");
C=B.fN("ScheduleCreateAndSave.java","181#1704300");
C=B.fN("ScheduleUsingExclusion.java","181#1704303");
C=B.fN("ScheduleWithPeriodGroup.java","181#1704307");
C=B.fN("ScheduleGetAndSet.java","181#1704310");
B=A.fN("Rulebase Map Samples","182");
C=B.fN("RBMapCreateAndSave.java","182#1704321");
C=B.fN("RBMapUseCommand.java","182#1704328");
C=B.fN("RBMapUseCommand.java","182#1704335");
A=P.fN("Appendix\u00a0C Planning Your Instrumented Application","183");
B=A.fN("Planning an AMI Interface","184");
B=A.fN("An Example of Planning AMI Methods","185");
}
