function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","2");
var B=A.fN("Related Documentation","3");
var C=B.fN("TIBCO Hawk Documentation","3#46639");
C=B.fN("Other TIBCO Product Documentation","3#46683");
B=A.fN("Typographical Conventions","4");
B=A.fN("TIBCO Product Documentation and Support Services","5");
C=B.fN("How to Access TIBCO Documentation","5#46778");
C=B.fN("How to Contact TIBCO Support","5#46786");
C=B.fN("How to Join TIBCO Community","5#46795");
A=P.fN("Chapter\u00a01 Distributed Application Monitoring","6");
B=A.fN("Distributed Application Monitoring Challenges","7");
C=B.fN("Monitoring Requirements","7#2015383");
B=A.fN("TIBCO Hawk Monitoring System","8");
B=A.fN("Architecture","9");
C=B.fN("TIBCO Hawk Agent","9#2024464");
C=B.fN("TIBCO Hawk Microagent (HMA)","9#2024870");
C=B.fN("TIBCO Hawk Console","9#2057032");
C=B.fN("TIBCO Hawk Admin Agent","9#2040638");
C=B.fN("TIBCO Hawk Application Management Interface (AMI)","9#2036329");
C=B.fN("TIBCO Hawk Plug-in","9#2034790");
C=B.fN("TIBCO Hawk Adapter","9#2034793");
C=B.fN("TIBCO Hawk Event Service","9#2036435");
C=B.fN("TIBCO Hawk Message Transport","9#2026460");
B=A.fN("How it Works","10");
B=A.fN("TCP Transport for TIBCO Hawk","11");
C=B.fN("TCP Transport for TIBCO Hawk Architecture","11#2040987");
C=B.fN("Network Partition Strategies","11#2042166");
B=A.fN("Key Features","12");
C=B.fN("Scalability","12#1671293");
C=B.fN("Location Transparency and Fault Tolerance","12#1671307");
C=B.fN("Advanced Monitoring Logic","12#1671332");
C=B.fN("Flexibility","12#1671346");
A=P.fN("Chapter\u00a02 About TIBCO Hawk Agents","13");
B=A.fN("Overview","14");
B=A.fN("Microagents","15");
C=B.fN("View a Microagent","15#2011865");
C=B.fN("Invoke a Microagent Method","15#2017788");
C=B.fN("Subscribe to a Microagent Method","15#2008343");
B=A.fN("Alert Messages","16");
C=B.fN("Suspend Alert Messages","16#2010323");
C=B.fN("Clear Alert Messages","16#2010363");
A=P.fN("Chapter\u00a03 TIBCO Hawk Console Features","17");
B=A.fN("Accessible by Using REST APIs","18");
B=A.fN("Multiple Domain Management by Using Proxy Domains","19");
B=A.fN("User Management","20");
B=A.fN("Security","21");
A=P.fN("Chapter\u00a04 Monitoring with Rulebases","22");
B=A.fN("Rulebases and Rules","23");
B=A.fN("Binding a Rule","24");
C=B.fN("Data Source","24#2008876");
B=A.fN("Tests","25");
C=B.fN("Compound Tests","25#2008982");
C=B.fN("Advanced Test Features","25#2008998");
B=A.fN("Actions","26");
C=B.fN("Advanced Action Features","26#2009229");
B=A.fN("Save a Rulebase","27");
A=P.fN("Chapter\u00a05 Advanced Rulebase Features","28");
B=A.fN("Rulebase Map","29");
B=A.fN("Agent Groups","30");
B=A.fN("Include a Rulebase","31");
B=A.fN("Add Commands to a Rulebase","32");
B=A.fN("Reference Variables in a Rulebase","33");
B=A.fN("Override a Rule","34");
B=A.fN("Posted Conditions","35");
C=B.fN("Testing for Non-Zero Values","35#2032175");
C=B.fN("Counting Results","35#2032185");
B=A.fN("Schedules and Period Groups","36");
B=A.fN("Automate Rulebase Management","37");
A=P.fN("Chapter\u00a06 Performing Group Operations","38");
B=A.fN("Group Operations","39");
B=A.fN("Interrogate a Microagents","40");
B=A.fN("Network Queries","41");
B=A.fN("Network Actions","42");
A=P.fN("Chapter\u00a07 Manage your Configuration","43");
B=A.fN("Configuration Modes","44");
A=P.fN("Chapter\u00a08 The TIBCO Hawk Event Service","45");
B=A.fN("Overview","46");
C=B.fN("AMI Instrumentation","46#2010937");
C=B.fN("Persistence of TIBCO Hawk Events using JDBC","46#2010951");
C=B.fN("Fault Tolerance","46#2011130");
B=A.fN("Interpreting Event Service Data Files","47");
B=A.fN("Executing Commands on Loss of Agent","48");
B=A.fN("Using the Event Service for Integration","49");
A=P.fN("Chapter\u00a09 Planning your Monitoring Strategy","50");
B=A.fN("Overview","51");
B=A.fN("Define Problem Areas","52");
C=B.fN("Define Information Requirements","52#2020146");
C=B.fN("Identify Corrective Actions","52#2020149");
C=B.fN("Map Information Requirements","52#2020152");
C=B.fN("Map Action Requirements","52#2020160");
C=B.fN("Refine Corrective Actions","52#2020165");
B=A.fN("Translate Requirements","53");
C=B.fN("Transform to Rule Elements","53#2020208");
C=B.fN("Plan Rulebases","53#2020219");
B=A.fN("Formulate Rules","54");
C=B.fN("Build and Test Rules","54#2020238");
C=B.fN("Refine Rules","54#2020246");
C=B.fN("Use Alternate Methods","54#2020253");
}
